Page MenuHomeFreeBSD

Qt: Switch Qt5 to use KDE's Qt patch collection
ClosedPublic

Authored by tcberner on Dec 14 2021, 6:27 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 22 2023, 9:39 PM
Unknown Object (File)
Dec 9 2023, 10:51 PM
Unknown Object (File)
Dec 9 2023, 10:43 PM
Unknown Object (File)
Nov 23 2023, 4:14 PM
Unknown Object (File)
Nov 22 2023, 7:44 PM
Unknown Object (File)
Nov 22 2023, 4:22 PM
Unknown Object (File)
Nov 20 2023, 12:16 PM
Unknown Object (File)
Nov 20 2023, 12:16 PM
Subscribers

Details

Summary

From [1]

    What's this?

        This is a set of git repositories based on the last public
        commits available for Qt 5.15 branches with a curated collection
        of patches on top to ensure open source products can be used
        comfortably until users transition to their Qt 6-based ports.

    Which patches does it include?

        This collection of patches includes patches that fix at least
        one of the following:

            * Security issues
            * Crashes
            * Functional defects

        We only include patches that have been approved upstream in the
        Qt project. If a patch cannot be merged upstream for technical
        reasons (e.g. the class no longer exists), it can also be
        merged.

        The patches to merge will be decided based on their relevance
        towards Open Source products and their viability.

[1] https://community.kde.org/Qt5PatchCollection

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Looks fine!

misc/qt5-l10n/pkg-plist
2

who likes sorted plists? :)

Add target to create new tarballs from the tree itself

tcberner retitled this revision from [RFC] Switch Qt ports to use KDE patch-collection to Qt: Switch Qt5 to use KDE's Qt patch collection.
tcberner edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jan 2 2022, 8:49 AM
This revision was automatically updated to reflect the committed changes.